package handler

import (
	"GtDataStore/app/cmd/events/internal/config"
	"GtDataStore/app/cmd/events/internal/svc"
	"flag"
	"github.com/zeromicro/go-zero/core/conf"
	"metawant.greentech.com.cn/gaoyagang/gt-common/envitem"
	"testing"
)

func TestEventHandler_Start(t *testing.T) {
	var c config.Config
	var configFile = flag.String("f", "../../../etc/events.test.yaml", "the config file")
	conf.MustLoad(*configFile, &c)
	svcCtx := svc.NewServiceContext(c)

	envitem.SetOptions(envitem.Options{GtServerIp: c.GtServerIp})

	eh, _ := NewEventHandler(svcCtx)
	eh.Start()
}
